pragma strict

I just got 3.5 downloaded and opened up a script and found #pragma strict at the top
looking throu do i understand this right that basically flags errors that won’t run on a .js script much like the C# scripts?

It prevents dynamic typing.